package com.convenient.android.common.utils.math

import java.math.BigDecimal

/**
 * @classname:
 * @author: LiuXiaoLong
 * @date: 2022/8/2
 * description:
 */
object MathUtils {

    /**
     * 移除消除点后为零的值
     * 5.5->5.0, 5.0-> 5
     */
    fun removeDecimalPointWithZeroValue(num : Double) : String{
        return if (num % 1 == 0.0){
            num.toString().split("\\.")[0]
        }else{
            num.toString()
        }
    }


    /**
     * 保留小数点后的第一位小数
     */
    fun keepTheFirstOneDigitsAfterTheDecimalPoint(num : Double) : Double{
        val b = num.toBigDecimal()
        return b.setScale(2, BigDecimal.ROUND_HALF_UP).toDouble()
    }




}